paramx Module Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
paramx Module Reference
Collaboration diagram for paramx:

## Data Fields
integer | nscamx
| maximum number of scalars solutions of an advection equation, apart from the variables of the turbulence model ) , that is to say the temperature and other scalars (passive or not, user-defined or not) More...
integer | nvarmx
| maximal number of variables = nscamx + 12 (u,v,w,P,Rij,e,alp) More...
integer | nprcmx
| maximal number of physical properties at cells. = nscamx (Lambda) + 7 (rho,Cp,viscl,visct,cou,fou,iprtot) + 4 (estim) More...
integer | nprfmx
| maximal number of physical properties at internal faces. = nscamx (flumas) + 2*(flumas,alp) More...
integer | nprbmx
| maximal number of physical properties at external faces. = nscamx (flumab) + 3*(flumab,alp, romb) More...
integer | npromx
| maximal number of physical properties, increased by nprcmx. They will be stored in the arrays `propce` More...
integer | ngrdmx
| maximal number of physical quantities = nvarmx + npromx More...
integer | nsmamx
| maximal size of mass source terms arrays. (= nvarmx + 1 for smacel) More...
integer | nvppmx
| number of displayed variables. = ngrdmx + 20 (20 > dt, tpucou, increased by 16 ...) More...
integer | ntypmx
| Maximal possible boundary condition types. More...
integer | iindef
| pointer for undefined type face (non-standard case) More...
integer | ientre
| if itypfb=ientre: inlet face. More...
integer | isolib
| if itypfb=isolib: free outlet face (or more precisely free inlet/outlet with forced pressure) More...
integer | isymet
| if itypfb=isymet: symmetry face (or wall without friction). More...
integer | iparoi
| if itypfb=iparoi: smooth solid wall face, impermeable and with friction. More...
integer | iparug
| if itypfb=iparug: rough solid wall face, impermeable and with friction. More...
integer | iesicf
| if itypfb=iesicf: imposed inlet/outlet for compressible flow (for example, supersonic inlet). More...
integer | isspcf
| if itypfb=isspcf: supersonic outlet for compressible flow. More...
integer | isopcf
| if itypfb=isopcf: mixed outlet for compressible flow with a given pressure. More...
integer | iephcf
| if itypfb=isopcf: mixed inlet for compressible flow with given total pressure and total enthalpy (reservoir boundary conditions). More...
integer | ieqhcf
integer | icscpl
integer | ifrent
| if itypfb=ifrent: free entrance based on Bernoulli equation when the flow is incoming, standard outlet when outgoing More...
integer | nestmx
| maximal number of valuators for Navier-Stokes More...
integer | iespre
| error estimator for Navier-Stokes. iest = iespre: prediction, (default name: EsPre). After the velocity prediction step (yielding ), the estimator , local variable calculated at every cell , is created from , which represents the residual of the equation solved during this step: and : More...
integer | iesder
| error estimator for Navier-Stokes. iest = iesder: drift (default name: EsDer). The estimator is based on the following quantity (intrinsic to the code): More...
integer | iescor
| error estimator for Navier-Stokes. iest = iescor: correction, (default name: EsCor). The estimator comes directly from the mass flow calculated with the updated velocity field: More...
integer | iestot
| error estimator for Navier-Stokes. iest = iestot: total, (default name: EsTot). The estimator , local variable calculated at every cell , is based on the quantity , which represents the residual of the equation using the updated values of and : More...
integer | nbmomx
| maximum number of calculated time-averages (default value: 50) More...
integer | ndgmox
| maximum degree of the time-averages (default value: 5) More...
integer | ibfixe
| boundary condition type for mesh velocity in ALE: fixed wall More...
integer | igliss
| boundary condition type for mesh velocity in ALE: sliding wall More...
integer | ivimpo
| boundary condition type for mesh velocity in ALE: imposed velocity. More...
integer | ifresf
| boundary condition type for mesh velocity in ALE for modelling free surface ( ). More...
integer | nstrmx
| maximum number of structures in ALE More...

The documentation for this module was generated from the following file:

- src/base/paramx.f90